Name:           discount
Version:        2.2.7
Release:    1%{?dist}
Summary:        A command-line utility for converting Markdown files into HTML
License:        BSD
URL:            http://www.pell.portland.or.us/~orc/Code/%{name}
Source0:        https://github.com/Orc/%{name}/archive/v%{version}.tar.gz
Patch0:         discount-dont-run-ldconfig.patch
Patch1:         define_destructor.patch
Patch2:         set_deps.patch
Patch3: discount-c99.patch

BuildRequires:  gcc
BuildRequires: make
BuildRequires:  cmake
Requires:       libmarkdown = %{version}-%{release}

%description
DISCOUNT is an implementation of John Gruber's Markdown language in C.
It includes all of the original Markdown features, along with a few
extensions, and passes the Markdown test suite.


%package -n libmarkdown
Summary: A fast implementation of the Markdown language in C

%description -n libmarkdown
libmarkdown is the library portion of discount, a fast Markdown language
implementation, written in C.


%package -n libmarkdown-devel
Summary: Development headers for the libmarkdown library
Requires: libmarkdown = %{version}-%{release}

%description -n libmarkdown-devel
This package contains development headers and developer-oriented man pages for
libmarkdown.


%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
CFLAGS='%{optflags}' ./configure.sh \
    --shared \
    --prefix=%{_prefix} \
    --execdir=%{_bindir} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-all-features \
    --with-fenced-code \
    --pkg-config
%make_build %{?_smp_flags}


%install
%make_install DESTDIR=%{buildroot}
install -D -m 644 libmarkdown.pc %{buildroot}%{_libdir}/pkgconfig/
cp -pav libmarkdown.pc %{buildroot}%{_libdir}/pkgconfig/
install -D -m 755 makepage %{buildroot}%{_bindir}/discount-makepage
install -D -m 755 mkd2html %{buildroot}%{_bindir}/discount-mkd2html
install -D -m 755 theme %{buildroot}%{_bindir}/discount-theme
install -D -m 644 makepage.1 %{buildroot}%{_mandir}/man1/discount-makepage.1
install -D -m 644 mkd2html.1 %{buildroot}%{_mandir}/man1/discount-mkd2html.1
install -D -m 644 theme.1 %{buildroot}%{_mandir}/man1/discount-theme.1



%check
for x in tests/*.t; do
	LD_LIBRARY_PATH=$(pwd) sh "${x}" || exit 1;
done


%files
%{_bindir}/markdown
%{_bindir}/discount-makepage
%{_bindir}/discount-mkd2html
%{_bindir}/discount-theme
%{_mandir}/man1/discount-*.1*


%files -n libmarkdown
%doc README COPYRIGHT CREDITS
%{_libdir}/libmarkdown.so.*


%files -n libmarkdown-devel
%{_libdir}/libmarkdown.so
%{_libdir}/pkgconfig/libmarkdown.pc
%{_includedir}/mkdio.h


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.7-1
- initial build
